'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMoleculeField = require('@s-ui/react-molecule-field');

var _reactMoleculeField2 = _interopRequireDefault(_reactMoleculeField);

var _reactAtomTextarea = require('@s-ui/react-atom-textarea');

var _reactAtomTextarea2 = _interopRequireDefault(_reactAtomTextarea);

var _WithCharacterCount = require('./hoc/WithCharacterCount');

var _WithCharacterCount2 = _interopRequireDefault(_WithCharacterCount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MoleculeTextareaField = (0, _WithCharacterCount2.default)(function (_ref) {
  var id = _ref.id,
      placeholder = _ref.placeholder,
      onChange = _ref.onChange,
      maxChars = _ref.maxChars,
      label = _ref.label,
      value = _ref.value,
      size = _ref.size,
      props = (0, _objectWithoutProperties3.default)(_ref, ['id', 'placeholder', 'onChange', 'maxChars', 'label', 'value', 'size']);

  return _react2.default.createElement(
    _reactMoleculeField2.default,
    (0, _extends3.default)({}, props, { label: label, name: id }),
    _react2.default.createElement(_reactAtomTextarea2.default, {
      id: id,
      onChange: onChange,
      placeholder: placeholder,
      value: value,
      size: size
    })
  );
});

MoleculeTextareaField.displayName = 'MoleculeTextareaField';

MoleculeTextareaField.defaultProps = {
  maxChars: 4000
};

MoleculeTextareaField.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /** Maximum number of characters allowed  */
  maxChars: _propTypes2.default.number,

  /** Text `characters` to be used in the character count HelpText */
  textCharacters: _propTypes2.default.string,

  /** placeholder og the textarea */
  placeholder: _propTypes2.default.string,

  /** Size of textarea: 'short', 'long' */
  size: _propTypes2.default.oneOf((0, _values2.default)(_reactAtomTextarea.AtomTextareaSizes)),

  /** Handler triggered on change */
  onChange: _propTypes2.default.func,

  /** Value (content) of the textarea */
  value: _propTypes2.default.string,

  /** Text to be displayed as label */
  label: _propTypes2.default.string,

  /** used as for attribute and textarea id */
  id: _propTypes2.default.string,

  /** Success message to be displayed */
  successText: _propTypes2.default.string,

  /** Error message to be displayed */
  errorText: _propTypes2.default.string,

  /** Help Text to be displayed */
  helpText: _propTypes2.default.string,

  /** Boolean to decide if field elements should be set inline */
  inline: _propTypes2.default.bool
} : {} : {};

exports.default = MoleculeTextareaField;